"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompatibilityActionProcessor = void 0;
const ActionProcessor_1 = require("./ActionProcessor");
class CompatibilityActionProcessor extends ActionProcessor_1.ActionProcessor {
    validate() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.actionHandler.validate(this.options, this.context, this.snapshot, this.parameters);
        });
    }
    isShouldExecute() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.actionHandler.isShouldExecute(this.options, this.context, this.snapshot, this.parameters);
        });
    }
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.actionHandler.execute(this.options, this.context, this.snapshot, this.parameters);
        });
    }
}
exports.CompatibilityActionProcessor = CompatibilityActionProcessor;
//# sourceMappingURL=CompatibilityActionProcessor.js.map