import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import { BaseValuesAssignmentActionProcessor } from './BaseValuesAssignmentActionProcessor';
import { ActionSnapshot, ActionHandler, ActionProcessor } from '../../models';
export declare class ContextValuesAssignmentActionProcessor extends BaseValuesAssignmentActionProcessor {
    /**
     * @inheritdoc
     */
    getAssignmentKey(): 'ctx' | 'secrets';
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class ContextValuesAssignmentActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
