import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import { BaseValuesAssignmentActionProcessor } from './BaseValuesAssignmentActionProcessor';
import { ActionHandler, ActionSnapshot, ActionProcessor } from '../../models';
export declare class SecretValuesAssignmentActionProcessor extends BaseValuesAssignmentActionProcessor {
    /**
     * @inheritdoc
     */
    getAssignmentKey(): 'ctx' | 'secrets';
}
export declare class SecretValuesAssignmentActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
