"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ExecActionHandler_1 = require("./ExecActionHandler");
const ShellActionHandler_1 = require("./ShellActionHandler");
const FunctionActionHandler_1 = require("./FunctionActionHandler");
const version = require(process.env.FBL_ENV === 'test' ? '../../../package.json' : '../../../../package.json')
    .version;
module.exports = {
    name: 'flb.core.context',
    version: version,
    actionHandlers: [new ExecActionHandler_1.ExecActionHandler(), new FunctionActionHandler_1.FunctionActionHandler(), new ShellActionHandler_1.ShellActionHandler()],
    requires: {
        fbl: version,
    },
};
//# sourceMappingURL=index.js.map