"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ContextValuesAssignmentActionHandler_1 = require("./ContextValuesAssignmentActionHandler");
const SecretValuesAssignmentActionHandler_1 = require("./SecretValuesAssignmentActionHandler");
const SummaryRecordActionHandler_1 = require("./SummaryRecordActionHandler");
const version = require(process.env.FBL_ENV === 'test' ? '../../../package.json' : '../../../../package.json')
    .version;
module.exports = {
    name: 'flb.core.context',
    version: version,
    actionHandlers: [
        new ContextValuesAssignmentActionHandler_1.ContextValuesAssignmentActionHandler(),
        new SecretValuesAssignmentActionHandler_1.SecretValuesAssignmentActionHandler(),
        new SummaryRecordActionHandler_1.SummaryRecordActionHandler(),
    ],
    requires: {
        fbl: version,
    },
};
//# sourceMappingURL=index.js.map